#
# spec file for package python-av
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-av
Version:        6.2.0
Release:        bp155.2.8
Summary:        Python bindings for FFmpeg's libraries
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/mikeboers/PyAV
Source:         https://files.pythonhosted.org/packages/source/a/av/av-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavutil)
Requires:       python-setuptools
BuildRequires:  %{python_module numpy}
%python_subpackages

%description
Pythonic bindings for FFmpeg's libraries.

%prep
%setup -q -n av-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# Sadly needs full ffmpeg with all the codec support so we have to skip
#%%python_exec setup.py test

%files %{python_files}
%license LICENSE.txt
%doc README.md
%python3_only %{_bindir}/pyav
%{python_sitearch}/av
%{python_sitearch}/av-%{version}-py%{py_ver}.egg-info

%changelog
* Thu Jul 25 2019 pgajdos@suse.com
- version update to 6.2.0
  * Allow :meth:`av.open` to be used as a context manager.
  * Fix compatibility with PyPy, the full test suite now passes. (:issue:`130`)
  * Add :meth:`.InputContainer.close` method. (:issue:`317`, :issue:`456`)
  * Ensure audio output gets flushes when using a FIFO. (:issue:`511`)
  * Make Python I/O buffer size configurable. (:issue:`512`)
  * Make :class:`.AudioFrame` and :class:`VideoFrame` more garbage-collector
    friendly by breaking a reference cycle. (:issue:`517`)
* Tue Apr 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix the spec file to adhere requirements
- Do not use service and fetch files from pypi
* Sun Apr 14 2019 Antonio Larrosa <alarrosa@suse.com>
- Moved scratchpad (examples) to share dir
* Thu Mar 21 2019 Adrian Schröter <adrian@suse.de>
- initial package of version 6.1.2
